---
apiVersion: v1
kind: Service
metadata:
  name: {{ include "ovenmediaengine.fullname" . }}-origin-lb-rtmp
  labels:
    type: "origin"
    {{- include "ovenmediaengine.labels" . | nindent 4 }}
spec:
  type: LoadBalancer
  ipFamilyPolicy: PreferDualStack
  ipFamilies:
    - IPv6
    - IPv4
  ports:
    - name: rtmp
      port: 1935
      targetPort: rtmp
      protocol: TCP
  selector:
    type: "origin"
    {{- include "ovenmediaengine.selectorLabels" . | nindent 4 }}